Subject: Re: [PATCH] installer: Create bios_grub partition when it is needed.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 19 Oct 2020 12:48:07 +0200

Hello Brendan,

> I feel the installer should not care what was on the drive to begin with, it
> should just
> format the drive how it sees fit. Why should the existing contents of the
> drive
> affect the outcome when we are reformatting everything anyway?

That's the case except for the ESP partition that is preserved by the
installer because it could contain vendor / operating system specific
files that should not be wiped.

Mathieu